"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useFileContent = useFileContent;
const client_1 = require("@apollo/client");
const ui_foundation_ui_hooks_use_data_query_1 = require("@teambit/ui-foundation.ui.hooks.use-data-query");
const getFile = (0, client_1.gql) `
  query getFile($id: String!, $extensionId: String, $path: String) {
    getHost(id: $extensionId) {
      id # used for GQL caching
      get(id: $id) {
        id {
          # used for GQL caching
          name
          version
          scope
        }
        getFile(path: $path)
      }
    }
  }
`;
function useFileContent(componentId, filePath, skip, host) {
    var _a, _b;
    const id = componentId === null || componentId === void 0 ? void 0 : componentId.toString();
    const { data, loading } = (0, ui_foundation_ui_hooks_use_data_query_1.useDataQuery)(getFile, {
        variables: { id, path: filePath, extensionId: host },
        skip: skip || !componentId || filePath === undefined,
    });
    const fileContent = (_b = (_a = data === null || data === void 0 ? void 0 : data.getHost) === null || _a === void 0 ? void 0 : _a.get) === null || _b === void 0 ? void 0 : _b.getFile;
    return { fileContent, loading };
}
//# sourceMappingURL=get-file-content.js.map